<?php
//============================================================+
// File name   : example_012.php
// Begin       : 2008-03-04
// Last Update : 2013-05-14
//
// Description : Example 012 for TCPDF class
//               Graphic Functions
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Nicola Asuni
//               Tecnick.com LTD
//               www.tecnick.com
//               info@tecnick.com
//============================================================+

/**
 * Creates an example PDF TEST document using TCPDF
 * @package com.tecnick.tcpdf
 * @abstract TCPDF - Example: Graphic Functions
 * @author Nicola Asuni
 * @since 2008-03-04
 */
header("Content-Type:text/html;charset=utf-8");
// Incluir librerias de datos
include_once('../php_conexion.php'); 
include_once('../Class/funciones.php');
$idpac=$_GET['idpac'];
//$acumulado=0;
$queryinfpac=mysqli_query($conexion,"SELECT * FROM paciente INNER JOIN laboratoriocovid on paciente.idpaciente=$idpac AND paciente.idpaciente=laboratoriocovid.idpaciente ORDER BY paciente.idpaciente ASC LIMIT 1");
$datainfpac=mysqli_fetch_array($queryinfpac);
/*$querycaja=mysqli_query($conexion,"SELECT importe FROM caja WHERE idpaciente=$idpac");
while ($rowcaja=mysqli_fetch_array($querycaja)) {
    $acumulado+=$rowcaja['importe'];
}*/
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
if ($datainfpac['tipodoc']=="dni"){
    $tipodoc="DNI";
}elseif ($datainfpac['tipodoc']=="ce") {
    $tipodoc="Carnet de extranjeria";
}elseif($datainfpac['tipodoc']=="pas") {
    $tipodoc="Pasaporte";
}
if ($datainfpac['igg']=="p") {
    $igg="REACTIVO";
}elseif ($datainfpac['igg']=="n") {
    $igg="NO REACTIVO";
}
if ($datainfpac['igm']=="p") {
    $igm="REACTIVO";
}elseif ($datainfpac['igm']=="n") {
    $igm="NO REACTIVO";
}

// Include the main TCPDF library (search for installation path).
require_once('../tcpdf/tcpdf.php');

// Extend the TCPDF class to create custom Header and Footer
class MYPDF extends TCPDF {

    //Page header
    public function Header() {
        // Logo
        $image_file = 'logoumsomd.png';
        $this->Image($image_file, 12, 6, 45, '', 'PNG', '', 'T', false, 300, '', false, false, 0, false, false, false);
        // Position at 15 mm from bottom
        //$this->SetY(25);
        // Set font
        //$this->SetFont('times', 'BI', 20);
        // Title
        //$this->Cell(0, 10, 'Informe Citológico', 0, false, 'C', 0, '', 0, false, 'M', 'M');
    }

    // Page footer
    public function Footer() {
        // Position at 15 mm from bottom
        $this->SetY(-10);
        // Set font
        $this->SetFont('helvetica', 'I', 10);
        // set color for background
		$this->SetFillColor(193, 274, 255);
        // Page number
        //$this->Cell(0, 10, 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');
        $this->Cell(0, 5, 'CONSULTORIO: AV. MICAELA BASTIDAS Nº443 EDIFICIO EL ROBLE OF. Nº 801 TELF: 084-248494', 0, false, 'C', 0, '', 0, false, 'T', 'M');
    }
}

// create new PDF document
$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

//establecer margenes
//$pdf->SetMargins(5,5,10);
$pdf->setHeaderMargin(10);
$pdf->SetFooterMargin(0);
$pdf->setPrintFooter(false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Jose HUiñapi');
$pdf->SetTitle('CONSENTIMIENTO INFORMADO');
$pdf->SetSubject('Paciente');
$pdf->SetKeywords('Consentimiento, PDF, Paciente');

// set default header data
    $pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE, PDF_HEADER_STRING);

// disable header and footer
//$pdf->setPrintHeader(false);
//$pdf->setPrintFooter(false);

// CONJUNTO CABESERA Y PIE DE PAGINA

    $pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
    $pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/eng.php')) {
	require_once(dirname(__FILE__).'/lang/eng.php');
	$pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// set font
$pdf->SetFont('times', 'B', 12);
// add page
$pdf->AddPage('P','A4');

//ESTILOS PARA GRAFICOS
$style = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => '3,3,3,3', 'phase' => 10, 'color' => array(0, 0, 0));
$style2 = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0));
$style3 = array('width' => 1, 'cap' => 'round', 'join' => 'round', 'dash' => '2,10', 'color' => array(255, 0, 0));
$style4 = array('L' => 0,
                'T' => array('width' => 0.25, 'cap' => 'butt', 'join' => 'miter', 'dash' => '20,10', 'phase' => 10, 'color' => array(100, 100, 255)),
                'R' => array('width' => 0.50, 'cap' => 'round', 'join' => 'miter', 'dash' => 0, 'color' => array(50, 50, 127)),
                'B' => array('width' => 0.75, 'cap' => 'square', 'join' => 'miter', 'dash' => '30,10,5,10'));
$style5 = array('width' => 0.25, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 64, 128));
$style6 = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => '10,10', 'color' => array(0, 128, 0));
$style7 = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(255, 128, 0));

//$txt = <<<EOD
//CONSULTORIO DE ANATOMIA PATOLOGICA Y CITOLOGIA
//EOD;

//$pdf->SetY(15);
//$pdf->Write(1, $txt, '', 0, 'C', true, 0, false, false, 0);

//Titulo
$pdf->Write(0, 'CERTIFICADO DE EVALUACION DE SALUD CON PRUEBA RAPIDA DE COVID-19 NEGATIVO', '', 0, 'C', true, 0, false, false, 0);

//Cuerpo
$html='<span style="text-align:justify;"><p>Siendo la empresa UMSO PERU SAC con RUC N° 20564209831, una institución de derecho privado y prestadora de servicios de salud (IPRESS) con autorización sanitaria de SU SALUD, IPRESS N° 00018423 Informamos lo siguiente.</p><p>Por medio de la presente dejamos constancia que el Sr.<b>'.$datainfpac['nombre'].' '.$datainfpac['apepaterno'].' '.$datainfpac['apematerno'].'</b>, identificado con '.$tipodoc.' N° <b>'.$datainfpac['numdoc'].'</b>, quien vienen trabajando en la empresa:  '.$datainfpac['empresa'].' ha sido evaluado el día '.substr($datainfpac['fecha'], 8).' de '.$meses[substr($datainfpac['fecha'], 5, -3)-1].' de '.substr($datainfpac['fecha'], 0, -6).', no encontrándose al momento de la evaluación médica, síntomas ni signos que lo hagan sospechoso de tener COVID-19 (enfermedad infecciosa por el virus SARS-COV 2).</p><p>Así mismo, se deja constancia que en la misma fecha de evaluación médica se realizó la prueba rápida SARS Cov-2 Ig M / Ig G para la detección del coronavirus, causante de la enfermedad COVID-19 cuyo resultado ha sido.</p><p>* ANTICUERPOS IgG-SARS-CoV-2: <b>'.$igg.'</b><br />* ANTICUERPOS IgM-SARS-CoV-2: <b>'.$igm.'</b></p><p>Datos adicionales de la prueba IgM / IgG:<br />N° R.D. de categorización: 1334-2017-DRSC/DG <br />N° de lote: <b>'.$datainfpac['numlote'].'</b><br />Fecha de vencimiento: <b>'.$datainfpac['fechaven'].'</b></p></span>';

$pdf->SetFont('times', '', 11.5);
$pdf->writeHTML($html, true, 0, true, true);
$pdf->Write(0, 'Cusco, '.substr($datainfpac['fecha'], 8).' de '.$meses[substr($datainfpac['fecha'], 5, -3)-1].' de '.substr($datainfpac['fecha'], 0, -6).'.', '', 0, 'R', true, 0, false, false, 0);

$pdf->setCellMargins(0, 1, 0, 1);
$pdf->SetFillColor(255,255,255);
$pdf->SetTextColor(0,0,0);
$pdf->SetXY(50, 250);
$pdf->writeHTML('<p style="text-align:center;"><table><tr><td>Firma y sello del médico evaluador<br />CMP N°____________</td><td>Firma y sello del responsable de laboratorio <br />C.Bg.P N°____________ </td></tr></table></p>', true, 0, true, true);
//$pdf->MultiCell(0, 3, 'Firma y sello del médico evaluador CMP N°', 0, 'L', 1, 0, '', '', true, 0, true, true, 40, 'T');
//$pdf->SetXY(120, 265);
//$pdf->MultiCell(0, 3, 'Firma y sello del responsable de laboratorio C.Bg.P N°', 0, 'L', 1, 0, '', '', true, 0, true, true, 40, 'T');


//$pdf->Line(5, 148, 205, 148, $style);

mysqli_close($conexion);
// ---------------------------------------------------------
// move pointer to last page
$pdf->lastPage();

//Close and output PDF document
$pdf->Output($datainfpac['numdoc'].'-'.$datainfpac['apepaterno'].' '.$datainfpac['apematerno'].' '.$datainfpac['nombre'].'.pdf', 'I');

//============================================================+
// END OF FILE
//============================================================+
?>
